Subject: [alpine-aports] [PATCH 1/2] main/oniguruma: Move from testing.

From: Przemyslaw Pawelczyk <[email-masked]>
Date: Fri, 26 Aug 2016 20:46:38 +0200

It's necessary step to make possible jq being dependent on this library.
Otherwise Alpine Linux's jq (which is in main already) would remain
deprived of regexp support.
---
 community/oniguruma/APKBUILD | 40 ----------------------------------------
 main/oniguruma/APKBUILD      | 40 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 40 insertions(+), 40 deletions(-)
 delete mode 100644 community/oniguruma/APKBUILD
 create mode 100644 main/oniguruma/APKBUILD

diff --git a/community/oniguruma/APKBUILD b/community/oniguruma/APKBUILD
deleted file mode 100644
index e6761d942e06..000000000000
--- a/community/oniguruma/APKBUILD
+++ /dev/null
@@ -1,40 +0,0 @@
-# Contributor: Carlo Landmeter <[email-masked]>
-# Maintainer: Francesco Colista <[email-masked]>
-pkgname=oniguruma
-pkgver=6.0.0
-pkgrel=0
-pkgdesc="a regular expressions library"
-url="http://www.geocities.jp/kosako3/oniguruma/"
-arch="all"
-license="BSD"
-depends=""
-depends_dev=""
-makedepends="$depends_dev automake autoconf libtool"
-install=""
-subpackages="$pkgname-dev"
-source="$pkgname-$pkgver.tar.gz::https://github.com/kkos/$pkgname/archive/v$pkgver.tar.gz"
-builddir="$srcdir"/$pkgname-$pkgver
-
-build() {
-	cd "$builddir"
-	autoreconf -vfi
-	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
-		--prefix=/usr \
-		--sysconfdir=/etc \
-		--mandir=/usr/share/man \
-		--infodir=/usr/share/info \
-		--localstatedir=/var \
-		|| return 1
-	make || return 1
-}
-
-package() {
-	cd "$builddir"
-	make DESTDIR="$pkgdir" install || return 1
-}
-
-md5sums="dc69fd4204551b64e78878a67a35a994  oniguruma-6.0.0.tar.gz"
-sha256sums="3018fe512fbf90e583bc43754be59c92685f02cb4eaab299472da0d0759b5cda  oniguruma-6.0.0.tar.gz"
-sha512sums="b0b32bf4fbe1846fe96a30795737294449a2d9e6bd4ac4a07c911e09c6bc51f0b534d005c43c19bebd0bc065d8819bf89bbf0805a42a5cef38d0c514f588c69a  oniguruma-6.0.0.tar.gz"
diff --git a/main/oniguruma/APKBUILD b/main/oniguruma/APKBUILD
new file mode 100644
index 000000000000..e6761d942e06
--- /dev/null
+++ b/main/oniguruma/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Carlo Landmeter <[email-masked]>
+# Maintainer: Francesco Colista <[email-masked]>
+pkgname=oniguruma
+pkgver=6.0.0
+pkgrel=0
+pkgdesc="a regular expressions library"
+url="http://www.geocities.jp/kosako3/oniguruma/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="$depends_dev automake autoconf libtool"
+install=""
+subpackages="$pkgname-dev"
+source="$pkgname-$pkgver.tar.gz::https://github.com/kkos/$pkgname/archive/v$pkgver.tar.gz"
+builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+	cd "$builddir"
+	autoreconf -vfi
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="dc69fd4204551b64e78878a67a35a994  oniguruma-6.0.0.tar.gz"
+sha256sums="3018fe512fbf90e583bc43754be59c92685f02cb4eaab299472da0d0759b5cda  oniguruma-6.0.0.tar.gz"
+sha512sums="b0b32bf4fbe1846fe96a30795737294449a2d9e6bd4ac4a07c911e09c6bc51f0b534d005c43c19bebd0bc065d8819bf89bbf0805a42a5cef38d0c514f588c69a  oniguruma-6.0.0.tar.gz"
-- 
2.8.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Przemyslaw Pawelczyk <[email-masked]>
Date: Fri, 26 Aug 2016 20:46:39 +0200

---
 main/jq/APKBUILD | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/main/jq/APKBUILD b/main/jq/APKBUILD
index 06cff23fa7a5..41392fbf6656 100644
--- a/main/jq/APKBUILD
+++ b/main/jq/APKBUILD
@@ -2,14 +2,14 @@
 # Maintainer: Johannes Matheis <[email-masked]>
 pkgname=jq
 pkgver=1.5
-pkgrel=1
+pkgrel=2
 pkgdesc="A lightweight and flexible command-line JSON processor"
 url="http://stedolan.github.io/jq/"
 arch="all"
 license="MIT"
 depends=""
 depends_dev=""
-makedepends="$depends_dev"
+makedepends="$depends_dev oniguruma-dev"
 install=""
 subpackages="$pkgname-doc $pkgname-dev"
 source="https://github.com/stedolan/jq/releases/download/${pkgname}-${pkgver}/${pkgname}-${pkgver}.tar.gz
-- 
2.8.3

---